# Merchant Authorization Change Notification

**Event ID**: 9001
This webhook is sent by Keeta to **notify the third-party system when a merchant's authorization changes**.
**Notes:**
- The third-party system could choose to **expose this endpoint and process the notification**.

Endpoint: POST /authorization/change/notification
Version: v.1.0.0

## Request fields (application/json):

  - `opType` (integer)
    Operation type. 0 indicates new store authorization; 1 indicates store authorization removal.
    Enum: 0, 1

  - `chainId` (string)
    Chain ID of the authorized vendors.
    Example: 4323

  - `chainName` (string)
    Chain name of the authorized vendors.
    Example: GUI JI

  - `authorizedVendors` (array)
    List of authorized vendors.

  - `authorizedVendors.vendorId` (string)
    Vendor ID.
    Example: 145541

  - `authorizedVendors.vendorName` (string)
    Vendor name.
    Example: Downtown Vendor

  - `authorizedVendors.address` (string)
    Vendor address.
    Example: 123 Main Street

  - `authorizedVendors.longitude` (string)
    Vendor longitude.
    Example: 114.057868

  - `authorizedVendors.latitude` (string)
    Vendor latitude.
    Example: 22.543099

## Response 400 fields (application/json):

  - `title` (string)
    Human-readable error title.
    Example: Unexpected error

  - `status` (integer)
    Numeric error status supplied by the callback service.
    Example: 500

## Response 403 fields (application/json):

  - `title` (string)
    Human-readable error title.
    Example: Unexpected error

  - `status` (integer)
    Numeric error status supplied by the callback service.
    Example: 500

## Response 404 fields (application/json):

  - `title` (string)
    Human-readable error title.
    Example: Unexpected error

  - `status` (integer)
    Numeric error status supplied by the callback service.
    Example: 500

## Response 503 fields (application/json):

  - `title` (string)
    Human-readable error title.
    Example: Unexpected error

  - `status` (integer)
    Numeric error status supplied by the callback service.
    Example: 500

